All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::double_precision_not_provided_error Class Reference

Exception thrown if the user wants to use double precision arithmetics, but the device does not support double precision. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::double_precision_not_provided_error:

## Detailed Description

Exception thrown if the user wants to use double precision arithmetics, but the device does not support double precision.

Definition at line 573 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp